1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Hyperion working for 6 months then nothing.

Discussion in 'Bug Reports' started by RevelRob, 19 April 2017.

  1. RevelRob

    RevelRob New Member

    Messages:
    3
    Hardware:
    RPi1/Zero, RPi3
    Hi,

    First off, I've been playing around with Hyperion since it first came out and just love what it can do.
    I had first installed it on a Raspberry Pi Model B on RaspBMC and it worked well for effects and to play videos on XBMC.

    Back in January of this year, I re-did everything and installed the latest version on the pi with newly purchased grabber, HDMI splitter, HDMI switch, HDMI to AV, Logic level converter, etc. It was working flawlessly until about a couple weeks ago when it started to go crazy and flashed like it did when the logic level converter wasn't used. I have a feeling it was due to OSMC updating but I was not entirely sure.

    Anyways, this gave me an excuse to buy a new Pi 3 and Pi Zero Wireless so that I can mess with some other projects as well.

    Ever since, I've been having some weird problems when trying to set up hyperion on either the Pi B or Pi 3.

    I can't even get passed the install of hyperion on either device. I've tried to use the latest OSMC, older versions (including the one from January that originally worked), OpenELEC 7.0.1... It's driving me crazy.

    I can tell it didn't work because when I try to detect server from the hyperion app, it can't find it.

    Here's what Hypercon spits out:

    Code:
    SSH Traffic:
    ssh connected
    ssh out:     cd /tmp && wget -nv -N https://raw.github.com/hyperion-project/hyperion/master/bin/install_hyperion.sh && chmod +x install_hyperion.sh && sudo sh ./install_hyperion.sh HyperConInstall ; rm install_hyperion.sh
    ssh out:     Last-modified header missing -- time-stamps turned off.
    ssh out:     2017-04-19 12:53:07 URL:https://raw.githubusercontent.com/hyperion-project/hyperion/master/bin/install_hyperion.sh [14539/14539] -> "install_hyperion.sh" [1]
    ssh in:     *******************************************************************************
    ssh in:     This script will install/update Hyperion Ambient Light
    ssh in:     Created by brindosch - hyperion-project.org - the official Hyperion source.
    ssh in:     *******************************************************************************
    ssh in:     ---> Stop Hyperion, if necessary
    ssh in:     ---> Install/Update Hyperion dependencies (This may take a while)
    ssh out:     debconf: unable to initialize frontend: Dialog
    ssh out:     debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
    ssh out:     debconf: falling back to frontend: Readline
    ssh out:     debconf: unable to initialize frontend: Readline
    ssh out:     debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/arm-linux-gnueabihf/perl5/5.20 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7, <> line 24.)
    ssh out:     debconf: falling back to frontend: Teletype
    ssh out:     dpkg-preconfigure: unable to re-open stdin:
    ssh in:     Selecting previously unselected package fonts-dejavu-core.
    ssh in:     (Reading database ...
    ssh in:     (Reading database ... 5%
    ssh in:     (Reading database ... 10%
    ssh in:     (Reading database ... 15%
    ssh in:     (Reading database ... 20%
    ssh in:     (Reading database ... 25%
    ssh in:     (Reading database ... 30%
    ssh in:     (Reading database ... 35%
    ssh in:     (Reading database ... 40%
    ssh in:     (Reading database ... 45%
    ssh in:     (Reading database ... 50%
    ssh in:     (Reading database ... 55%
    ssh in:     (Reading database ... 60%
    ssh in:     (Reading database ... 65%
    ssh in:     (Reading database ... 70%
    ssh in:     (Reading database ... 75%
    ssh in:     (Reading database ... 80%
    ssh in:     (Reading database ... 85%
    ssh in:     (Reading database ... 90%
    ssh in:     (Reading database ... 95%
    ssh in:     (Reading database ... 100%
    ssh in:     (Reading database ... 22277 files and directories currently installed.)
    ssh in:     Preparing to unpack .../fonts-dejavu-core_2.34-1_all.deb ...
    ssh in:     Unpacking fonts-dejavu-core (2.34-1) ...
    ssh in:     Selecting previously unselected package fontconfig-config.
    ssh in:     Preparing to unpack .../fontconfig-config_2.11.0-6.3+deb8u1_all.deb ...
    ssh in:     Unpacking fontconfig-config (2.11.0-6.3+deb8u1) ...
    ssh in:     Selecting previously unselected package libfontconfig1:armhf.
    ssh in:     Preparing to unpack .../libfontconfig1_2.11.0-6.3+deb8u1_armhf.deb ...
    ssh in:     Unpacking libfontconfig1:armhf (2.11.0-6.3+deb8u1) ...
    ssh in:     Selecting previously unselected package fontconfig.
    ssh in:     Preparing to unpack .../fontconfig_2.11.0-6.3+deb8u1_armhf.deb ...
    ssh in:     Unpacking fontconfig (2.11.0-6.3+deb8u1) ...
    ssh in:     Selecting previously unselected package libxau6:armhf.
    ssh in:     Preparing to unpack .../libxau6_1%3a1.0.8-1_armhf.deb ...
    ssh in:     Unpacking libxau6:armhf (1:1.0.8-1) ...
    ssh in:     Selecting previously unselected package x11-common.
    ssh in:     Preparing to unpack .../x11-common_1%3a7.7+7_all.deb ...
    ssh in:     Unpacking x11-common (1:7.7+7) ...
    ssh in:     Selecting previously unselected package libice6:armhf.
    ssh in:     Preparing to unpack .../libice6_2%3a1.0.9-1+b1_armhf.deb ...
    ssh in:     Unpacking libice6:armhf (2:1.0.9-1+b1) ...
    ssh in:     Selecting previously unselected package libsm6:armhf.
    ssh in:     Preparing to unpack .../libsm6_2%3a1.2.2-1+b1_armhf.deb ...
    ssh in:     Unpacking libsm6:armhf (2:1.2.2-1+b1) ...
    ssh in:     Selecting previously unselected package libxdmcp6:armhf.
    ssh in:     Preparing to unpack .../libxdmcp6_1%3a1.1.1-1+b1_armhf.deb ...
    ssh in:     Unpacking libxdmcp6:armhf (1:1.1.1-1+b1) ...
    ssh in:     Selecting previously unselected package libxcb1:armhf.
    ssh in:     Preparing to unpack .../libxcb1_1.10-3+b1_armhf.deb ...
    ssh in:     Unpacking libxcb1:armhf (1.10-3+b1) ...
    ssh in:     Selecting previously unselected package libx11-data.
    ssh in:     Preparing to unpack .../libx11-data_2%3a1.6.2-3_all.deb ...
    ssh in:     Unpacking libx11-data (2:1.6.2-3) ...
    ssh in:     Selecting previously unselected package libx11-6:armhf.
    ssh in:     Preparing to unpack .../libx11-6_2%3a1.6.2-3_armhf.deb ...
    ssh in:     Unpacking libx11-6:armhf (2:1.6.2-3) ...
    ssh in:     Selecting previously unselected package libxt6:armhf.
    ssh in:     Preparing to unpack .../libxt6_1%3a1.1.4-1+b1_armhf.deb ...
    ssh in:     Unpacking libxt6:armhf (1:1.1.4-1+b1) ...
    ssh in:     Selecting previously unselected package libaudio2:armhf.
    ssh in:     Preparing to unpack .../libaudio2_1.9.4-3_armhf.deb ...
    ssh in:     Unpacking libaudio2:armhf (1.9.4-3) ...
    ssh in:     Selecting previously unselected package libmng1:armhf.
    ssh in:     Preparing to unpack .../libmng1_1.0.10+dfsg-3.1+b3_armhf.deb ...
    ssh in:     Unpacking libmng1:armhf (1.0.10+dfsg-3.1+b3) ...
    ssh in:     Selecting previously unselected package qtcore4-l10n.
    ssh in:     Preparing to unpack .../qtcore4-l10n_4%3a4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1_all.deb ...
    ssh in:     Unpacking qtcore4-l10n (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Selecting previously unselected package libqtcore4:armhf.
    ssh in:     Preparing to unpack .../libqtcore4_4%3a4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1_armhf.deb ...
    ssh in:     Unpacking libqtcore4:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Selecting previously unselected package libqt4-xml:armhf.
    ssh in:     Preparing to unpack .../libqt4-xml_4%3a4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1_armhf.deb ...
    ssh in:     Unpacking libqt4-xml:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Selecting previously unselected package libqtdbus4:armhf.
    ssh in:     Preparing to unpack .../libqtdbus4_4%3a4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1_armhf.deb ...
    ssh in:     Unpacking libqtdbus4:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Selecting previously unselected package libqt4-network:armhf.
    ssh in:     Preparing to unpack .../libqt4-network_4%3a4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1_armhf.deb ...
    ssh in:     Unpacking libqt4-network:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Selecting previously unselected package libxext6:armhf.
    ssh in:     Preparing to unpack .../libxext6_2%3a1.3.3-1_armhf.deb ...
    ssh in:     Unpacking libxext6:armhf (2:1.3.3-1) ...
    ssh in:     Selecting previously unselected package libxrender1:armhf.
    ssh in:     Preparing to unpack .../libxrender1_1%3a0.9.8-1+b1_armhf.deb ...
    ssh in:     Unpacking libxrender1:armhf (1:0.9.8-1+b1) ...
    ssh in:     Selecting previously unselected package libqtgui4:armhf.
    ssh in:     Preparing to unpack .../libqtgui4_4%3a4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1_armhf.deb ...
    ssh in:     Unpacking libqtgui4:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Selecting previously unselected package libusb-1.0-0:armhf.
    ssh in:     Preparing to unpack .../libusb-1.0-0_2%3a1.0.19-1_armhf.deb ...
    ssh in:     Unpacking libusb-1.0-0:armhf (2:1.0.19-1) ...
    ssh in:     Processing triggers for systemd (215-17+deb8u6) ...
    ssh in:     Setting up fonts-dejavu-core (2.34-1) ...
    ssh in:     Setting up fontconfig-config (2.11.0-6.3+deb8u1) ...
    ssh in:     debconf: unable to initialize frontend: Dialog
    ssh in:     debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
    ssh in:     debconf: falling back to frontend: Readline
    ssh in:     debconf: unable to initialize frontend: Readline
    ssh in:     debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/arm-linux-gnueabihf/perl5/5.20 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
    ssh in:     debconf: falling back to frontend: Teletype
    ssh in:     Setting up libfontconfig1:armhf (2.11.0-6.3+deb8u1) ...
    ssh in:     Setting up fontconfig (2.11.0-6.3+deb8u1) ...
    ssh in:     Regenerating fonts cache... done.
    ssh in:     Setting up libxau6:armhf (1:1.0.8-1) ...
    ssh in:     Setting up x11-common (1:7.7+7) ...
    ssh in:     debconf: unable to initialize frontend: Dialog
    ssh in:     debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
    ssh in:     debconf: falling back to frontend: Readline
    ssh in:     debconf: unable to initialize frontend: Readline
    ssh in:     debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/arm-linux-gnueabihf/perl5/5.20 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
    ssh in:     debconf: falling back to frontend: Teletype
    ssh in:     /var/lib/dpkg/info/x11-common.postinst: 697: /var/lib/dpkg/info/x11-common.postinst: update-rc.d: not found
    ssh in:     dpkg: error processing package x11-common (--configure):
    ssh in:      subprocess installed post-installation script returned error exit status 127
    ssh in:     dpkg: dependency problems prevent configuration of libice6:armhf:
    ssh in:      libice6:armhf depends on x11-common; however:
    ssh in:       Package x11-common is not configured yet.
    ssh in:     dpkg: error processing package libice6:armhf (--configure):
    ssh in:      dependency problems - leaving unconfigured
    ssh in:     dpkg: dependency problems prevent configuration of libsm6:armhf:
    ssh in:      libsm6:armhf depends on libice6 (>= 1:1.0.0); however:
    ssh in:       Package libice6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libsm6:armhf (--configure):
    ssh in:      dependency problems - leaving unconfigured
    ssh in:     Setting up libxdmcp6:armhf (1:1.1.1-1+b1) ...
    ssh in:     Setting up libxcb1:armhf (1.10-3+b1) ...
    ssh in:     Setting up libx11-data (2:1.6.2-3) ...
    ssh in:     Setting up libx11-6:armhf (2:1.6.2-3) ...
    ssh in:     dpkg: dependency problems prevent configuration of libxt6:armhf:
    ssh in:      libxt6:armhf depends on libice6 (>= 1:1.0.0); however:
    ssh in:       Package libice6:armhf is not configured yet.
    ssh in:      libxt6:armhf depends on libsm6; however:
    ssh in:       Package libsm6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libxt6:armhf (--configure):
    ssh in:      dependency problems - leaving unconfigured
    ssh in:     dpkg: dependency problems prevent configuration of libaudio2:armhf:
    ssh in:      libaudio2:armhf depends on libxt6; however:
    ssh in:       Package libxt6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libaudio2:armhf (--configure):
    ssh in:      dependency problems - leaving unconfigured
    ssh in:     Setting up libmng1:armhf (1.0.10+dfsg-3.1+b3) ...
    ssh in:     Setting up qtcore4-l10n (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Setting up libqtcore4:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Setting up libqt4-xml:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Setting up libqtdbus4:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Setting up libqt4-network:armhf (4:4.8.6+git64-g5dc8b2b+dfsg-3+deb8u1) ...
    ssh in:     Setting up libxext6:armhf (2:1.3.3-1) ...
    ssh in:     Setting up libxrender1:armhf (1:0.9.8-1+b1) ...
    ssh in:     dpkg: dependency problems prevent configuration of libqtgui4:armhf:
    ssh in:      libqtgui4:armhf depends on libaudio2; however:
    ssh in:       Package libaudio2:armhf is not configured yet.
    ssh in:      libqtgui4:armhf depends on libice6 (>= 1:1.0.0); however:
    ssh in:       Package libice6:armhf is not configured yet.
    ssh in:      libqtgui4:armhf depends on libsm6; however:
    ssh in:       Package libsm6:armhf is not configured yet.
    ssh in:     dpkg: error processing package libqtgui4:armhf (--configure):
    ssh in:      dependency problems - leaving unconfigured
    ssh in:     Setting up libusb-1.0-0:armhf (2:1.0.19-1) ...
    ssh in:     Processing triggers for libc-bin (2.19-18+deb8u7) ...
    ssh in:     Processing triggers for systemd (215-17+deb8u6) ...
    ssh in:     Errors were encountered while processing:
    ssh in:      x11-common
    ssh in:      libice6:armhf
    ssh in:      libsm6:armhf
    ssh in:      libxt6:armhf
    ssh in:      libaudio2:armhf
    ssh in:      libqtgui4:armhf
    ssh out:     E: Sub-process /usr/bin/dpkg returned an error code (1)
    ssh in:     ---> Raspberry Pi found, but SPI is not set, we write "dtparam=spi=on" to /boot/config.txt
    ssh in:     ---> Downloading the appropriate Hyperion release
    ssh out:     2017-04-19 12:54:02 URL:https://superb-sea2.dl.sourceforge.net/project/hyperion-project/release/hyperion_rpi2_osmc.tar.gz [1637006/1637006] -> "-" [1]
    ssh in:     ---> Installing systemd script
    ssh in:     ---> Modify systemd script for OSMC usage
    ssh in:     ---> Starting Hyperion
    ssh in:     *******************************************************************************
    ssh in:     Hyperion Installation/Update finished!
    ssh in:     Please download the latest HyperCon version to benefit from new features!
    ssh in:     To create a config, follow the HyperCon Guide at our Wiki (EN/DE)!
    ssh in:     Wiki: wiki.hyperion-project.org Webpage: www.hyperion-project.org
    ssh in:     *******************************************************************************
    ssh in:     Rebooting now, we added dtparam=spi=on to config.txt
    ssh disconnected
    ssh connected
    ssh out:     sudo systemctl start hyperion.service 2>/dev/null ; sudo /etc/init.d/hyperion start 2>/dev/null ; sudo /sbin/initctl start hyperion 2>/dev/null
    Any help would be greatly appreciated.

    Thanks!
     
  2. RevelRob

    RevelRob New Member

    Messages:
    3
    Hardware:
    RPi1/Zero, RPi3
    Also, I get this even though I uploaded a config file:
    Code:
    [email protected]:~$ sudo hyperiond status
    Hyperion Ambilight Deamon (798)
        Version   : V1.03.2 (brindosch-99d9396/d3713a8-1469452981
        Build Time: Jul 25 2016 06:54:40
    ERROR: No valid config found 
     
  3. BetterBoy08

    BetterBoy08 New Member

    Messages:
    2
    Hardware:
    RPi3
    I have the same issue. Anyone know the solve of this problem?